# Malloc

Memory allocator in C

Reprogramming of the memory C allocation tool (malloc, realloc, free)
Used : Doubly linked list, Hashmap, mmap
Learnt : How to operate on raw data blocks and organise memory. High performance and thread-safety requiered.